## ros-indigo-spur 0.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(spur)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-spur (0.2.6-0trusty) trusty; urgency=high

  * [feat] Brush up laser_scan_matcher usage
  * [feat] add calibration
  * [fix] spur_controller/joint_state_publisher.py: fix for real robot, which currently does not have configuration setup for upper body
  * [fix] parameter tuning for the real robot
  * [fix] Install target
  * [design] use spur/laser/scan_filtered
  * Contributors: TORK 534o, Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Sun, 04 Oct 2015 07:00:00 -0000

ros-indigo-spur (0.2.5-0trusty) trusty; urgency=high

  * [feat] Enabling localization, navigation
  * [feat] Navigation parameters update
  * [feat] Update laser sensor from 04LX specification for simulation.
  * [feat] Add fake odometory for simulation
  * [feat] gmapping, move_base params, slowdown the veloc limitation
  * [feat] 2dnav.rviz: add footprtint
  * [feat] Configs (taking fetch_navigation as a reference)* Contributors: TORK 53* [feat] add laserfilter.launch
  * [fix] Odometry accuracy
  * [sys] cleanup launc files, sim->use_dummy, spur_world uses miimax.launch
  * [sys] Cleanup
  * [sys] add spur_controller/test/cmd_vel_test.py
  * Contributors: TORK 534o, Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Wed, 29 Jul 2015 07:00:00 -0000

ros-indigo-spur (0.2.4-0trusty) trusty; urgency=high



 -- Hiroyuki Okada <okdhryk@gmail.com>  Sat, 11 Jul 2015 07:00:00 -0000

ros-indigo-spur (0.2.3-0trusty) trusty; urgency=high

  * [feat] Add simulation capability of dynamixel's joint_state_publisher (temporary addition until https://github.com/arebgun/dynamixel_motor/pull/27 and https://github.com/arebgun/dynamixel_motor/pull/28 get merged)
  * [sys] add test
  * [sys] Fix files wrong location
  * [sys] workaround for travis test (pass visualize_laser as arg. Only hydro can be tested on travis)
  * [sys] Fix CMake build rule issue40 <https://github.com/tork-a/spur/pull/40>
  * [sys] urg_node only runs with simulation
  * Contributors: TORK 534o

 -- Hiroyuki Okada <okdhryk@gmail.com>  Thu, 02 Jul 2015 07:00:00 -0000

ros-indigo-spur (0.2.2-0trusty) trusty; urgency=high

  * [Feat] Enable Hokuyo
  * [Sys] Adjust to bringup pkg. Add 2dnav pkg up to gmapping feature
  * [Sys] Port general stuff to spur_bringup package
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Tue, 30 Jun 2015 07:00:00 -0000

ros-indigo-spur (0.2.1-0trusty) trusty; urgency=high

  * (Fix) Add more dependency
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Wed, 13 May 2015 07:00:00 -0000

ros-indigo-spur (0.2.0-0trusty) trusty; urgency=high

  * (Fix) Complete adjusting model to real robot
  * (Fix) Specific dependency
  * (Feature) Allow configuring idle time for Twist command.
  * (Doc) Copyright to the project owner. Update package description.
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Sat, 09 May 2015 07:00:00 -0000

ros-indigo-spur (0.1.3-0trusty) trusty; urgency=high

  * joy launch improvement
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 07 May 2015 07:00:00 -0000

ros-indigo-spur (0.1.2-0trusty) trusty; urgency=high

  * (Fix) Correct sides of wheels (replacing L and R).
  * (Feat.) Separate launches to allow dynamixel to start by itself.
  * (Maintenance) More correct dependency.
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 07 May 2015 07:00:00 -0000

ros-indigo-spur (0.1.1-0trusty) trusty; urgency=high

  * Enable Odometry RViz plugin.
  * (Feature) Add a launch for joy, kb teleop
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Wed, 29 Apr 2015 07:00:00 -0000

ros-indigo-spur (0.1.0-0trusty) trusty; urgency=high



 -- TORK <dev@opensource-robotics.tokyo.jp>  Mon, 30 Mar 2015 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-spur
Section: misc
Priority: extra
Maintainer: Hiroyuki Okada <okdhryk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/spur
Standards-Version: 3.9.2

Package: ros-indigo-spur
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-spur-bringup, ros-indigo-spur-controller, ros-indigo-spur-description, ros-indigo-spur-gazebo
Description: Meta package for SPUR omni-directional mobile manipulator robot made at Tamagawa University.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-spur//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
